import { OnInit, OnChanges, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { Calendar } from '../../utils/Calendar';
import { CalendarEvent } from '../../utils/CalendarEvent';
import { FormGroup, FormBuilder, FormArray } from '@angular/forms';
import { Subject } from 'rxjs/Subject';
import { Subscription } from 'rxjs/Subscription';
export declare class MyCalendarsComponent implements OnInit, OnChanges {
    private formBuilder;
    private cdr;
    events: CalendarEvent[];
    calendars: Calendar[];
    /**
    * An observable that when emitted on will re-render the current view
    */
    refresh: Subject<any>;
    colors: string[];
    form: FormGroup;
    newImportedEvents: EventEmitter<{
        events: any[];
        calendarName: string;
    }>;
    filtredEvents: EventEmitter<{
        events: any[];
    }>;
    newCalendar: EventEmitter<{}>;
    /**
    * @hidden
    */
    refreshSubscription: Subscription;
    icsEvents: any[];
    constructor(formBuilder: FormBuilder, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    refreshForm(): void;
    refreshEvents(): void;
    buildCalendars(): FormArray;
    readonly activeCalendars: FormArray;
    setColor(color: any, calendar: Calendar): void;
    filter($event: any, source: string): void;
    import(event: any): void;
    export(): void;
}
