import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { CalendarEvent } from '../../utils/CalendarEvent';
import { Subject } from 'rxjs/Subject';
import { CalendarUtilsService } from './../../utils/calendar-utils.service';
export declare class ScheduleViewComponent implements OnInit, OnChanges {
    private utils;
    /**
    * An array of events to display on view.
    */
    events: CalendarEvent[];
    /**
    * The current view date
    */
    viewDate: Date;
    /**
    * An observable that when emitted on will re-render the current view
    */
    refresh: Subject<any>;
    /**
    * Called when the event title is clicked
    */
    eventClicked: EventEmitter<{
        event: CalendarEvent;
    }>;
    view: any[];
    constructor(utils: CalendarUtilsService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    private refreshBody();
}
